commit:     565059f3f4ce98d0e822dc3c0ee5ec8d9dbadc7c
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 14 22:34:19 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Wed Oct 14 22:41:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=565059f3

dev-python/blessed: bump to 1.17.11, use distutils_enable_tests

Package-Manager: Portage-3.0.8, Repoman-3.0.1
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/blessed/Manifest               |  1 +
 dev-python/blessed/blessed-1.17.11.ebuild | 47 +++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index 856eed395bb..089e6b63284 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -1 +1,2 @@
 DIST blessed-1.17.10.tar.gz 6697685 BLAKE2B 
de0f687fcfa0c2182173d21042e742cb370768286ce5b3486da1b93b5de087da121d32df2d644de89a861bf785d93a5e8293beebcb2f1bdf66c022aab7054f2d
 SHA512 
e16da345b8631ff2758d60ee71a95af260f3b582a76a240a2de3cace7860f0b6557341a844cda921216ee5245ec3dbc1bf1cc6ab0532f8fe9efd135fee4d3ee1
+DIST blessed-1.17.11.tar.gz 6697714 BLAKE2B 
a181fac1675b0e06bca54346bd6eea4032fde739888d36a7ec51afbe899e5cc71ad924b6bae45777d9b56567da1771f89d451760ec2b62abaf10f6235c69a66f
 SHA512 
51e627f27aea0082fc93a4b1d10043b1152ae8b625dbb6c73f75e993f8eebc41ed1d8e64667de28afbc4606d066a90dd4c69c79fbed7b5b928d126efd3fbac22

diff --git a/dev-python/blessed/blessed-1.17.11.ebuild 
b/dev-python/blessed/blessed-1.17.11.ebuild
new file mode 100644
index 00000000000..70d2ea65e87
--- /dev/null
+++ b/dev-python/blessed/blessed-1.17.11.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and 
positioning"
+HOMEPAGE="https://github.com/jquast/blessed";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Skip those extensions as they don't have a Gentoo package
+       # Remove calls to scripts that generate rst files because they
+       # are not present in the tarball
+       sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+               -e '/^for script in/,/runpy.run_path/d' \
+               -i docs/conf.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # COLORTERM must not be truecolor
+       # See https://github.com/jquast/blessed/issues/162
+       # Ignore coverage options
+       COLORTERM= pytest -vv --override-ini="addopts=" \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to